### Method

# Qmi MessageFoxGetFirmwareVersionInput set_version_type

since: 1.32

#### Declaration [src]

    gboolean
    qmi_message_fox_get_firmware_version_input_set_version_type (
      QmiMessageFoxGetFirmwareVersionInput* self,
      QmiFoxFirmwareVersionType value_version_type,
      GError** error
    )

#### Description [src]

Set the ‘Version Type’ field in the message.

Available since: 1.32

#### Parameters

`value_version_type`

  Type: `QmiFoxFirmwareVersionType`

  A `QmiFoxFirmwareVersionType`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.